Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[python] masquer ou pas masquer
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Biloute
Guru
Guru


Joined: 03 Apr 2008
Posts: 364
Location: LENS

PostPosted: Fri Mar 11, 2011 10:00 pm    Post subject: [python] masquer ou pas masquer Reply with quote

Ca fait déjà plus d'un an que j'ai python sur deux slot avec les versions 2 et 3.

Et là je me retrouve avec une belle mise à jour des 2 versions.
Je me demande si cette fois je vais pas me contenter de la version 2 uniquement

Code:
# equery d python
[ Searching for packages depending on python... ]
app-admin/python-updater-0.8 (dev-lang/python)
app-portage/gentoolkit-0.2.4.6.1-r1 (=dev-lang/python-2*)
                                    (=dev-lang/python-2*[xml])
app-text/gnome-doc-utils-0.20.1 (>=dev-lang/python-2.4)
dev-lang/yasm-1.1.0-r1 (python? =dev-lang/python-2.6*)
dev-libs/libxml2-2.7.8 (python? =dev-lang/python-2*)
                       (python? =dev-lang/python-2*[-build,xml])
dev-libs/libxslt-1.1.26 (python? =dev-lang/python-2*)
dev-python/cython-0.13 (dev-lang/python)
dev-python/dbus-python-0.83.2 (=dev-lang/python-2*)
dev-python/numpy-1.5.1 (dev-lang/python)
dev-python/pycairo-1.8.10 (=dev-lang/python-2.6*)
# equery d python
[ Searching for packages depending on python... ]
app-admin/python-updater-0.8 (dev-lang/python)
app-portage/gentoolkit-0.2.4.6.1-r1 (=dev-lang/python-2*)
                                    (=dev-lang/python-2*[xml])
app-text/gnome-doc-utils-0.20.1 (>=dev-lang/python-2.4)
dev-lang/yasm-1.1.0-r1 (python? =dev-lang/python-2.6*)
dev-libs/libxml2-2.7.8 (python? =dev-lang/python-2*)
                       (python? =dev-lang/python-2*[-build,xml])
dev-libs/libxslt-1.1.26 (python? =dev-lang/python-2*)
dev-python/cython-0.13 (dev-lang/python)
dev-python/dbus-python-0.83.2 (=dev-lang/python-2*)
dev-python/numpy-1.5.1 (dev-lang/python)
dev-python/pycairo-1.8.10 (=dev-lang/python-2.6*)

_________________
Gentoo rocks
Back to top
View user's profile Send private message
aCOSwt
Bodhisattva
Bodhisattva


Joined: 19 Oct 2007
Posts: 2537
Location: Hilbert space

PostPosted: Sat Mar 12, 2011 1:32 pm    Post subject: Reply with quote

Je ne comprends pas bien ce que tu entends par dé-masquer.

Si tu entends par là faire un eselect python set... sur le numéro correspondant à python3 alors là surtout pas.
Cela ferait de sorte que tous les packages qui font référence à dev-lang/python (net-analyser/rrdtools - media-gfx/fontforge...) se retrouveraient liés à Python3 alors que on ne sait pas encore forcément s'ils sont tout compatibles.
Il n'y aurait aucun risque pour beaucoup d'autres packages qui, si ils ont besoin de python-2 font explicitement référence à dev-lang/python-2 dans leur ebuild.

En revanche, tu peux tranquillement setter en use flags -python2 +python3.

Cela permet à des packages qui sont compatibles python3, dont portage au premier chef, d'utiliser python3.

Et... surtout... de ne pas avoir l'impression d'avoir et updater un package qui sert à rien... :wink:

(Evidemment, c'est ce que j'ai sur ma machine et cela ne me cause aucun problème.)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum